Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 187299 - [code model] template specialization - virtual function override missing
[code model] template specialization - virtual function override missing
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.0
All All
: P2 (vote)
: 6.x
Assigned To: Alexander Simon
issues@cnd
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-07 22:24 UTC by rmartins
Modified: 2010-07-07 13:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rmartins 2010-06-07 22:24:18 UTC
Hi,
example:
class X{
public:
    X(){}
    ~X(){}
};

template <class ITEM>
class A{
    A(){}
    ~A(){}

    virtual void doit(ITEM* item){}
};

class B: public A<X>{
public:
    void doit(X* item){} <---- Should appear as overriding A::doit()
};

Find usages also doesn't find this...


Thanks,
Rolando
Comment 1 Alexander Simon 2010-06-08 07:43:53 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/808dc728357f
Comment 2 Quality Engineering 2010-06-09 06:55:12 UTC
Integrated into 'main-golden', will be available in build *201006090001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/808dc728357f
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#187299 [code model] template specialization - virtual function override missing
Comment 3 Alexander Simon 2010-06-17 13:35:28 UTC
fixed in release691:
808dc728357f transplanted to ebbbc246e0bd
Comment 4 rbalada 2010-06-17 14:16:17 UTC
Please mark bugs VERIFIED-FIXED before transplanting to release691.

Please verify this bugfix asap.

Thanks,
-R
Comment 5 Alexander Simon 2010-06-18 04:53:17 UTC
fix from BZ#187758:
http://hg.netbeans.org/cnd-main/rev/0f71a3147d8a
should be integrated also.
Comment 6 Alexander Simon 2010-06-18 04:57:32 UTC
additional fix was transplanted into release691
0f71a3147d8a transplanted to b76318567dcb
Comment 7 Alexander Pepin 2010-06-18 15:09:02 UTC
verified in trunk
Comment 8 Alexander Pepin 2010-07-07 13:36:51 UTC
verified in 6.9.1 build


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo